2019-08-24 00:26 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0004852Spring engineGeneralpublic2015-06-29 23:31
Reporterjamerlan 
Assigned TojK 
PriorityhighSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version99.0 
Target Version100.0Fixed in Version 
Summary0004852: spring 99 mass crash in 8vs8 battle
Descriptioninfolog is attached
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0014735

abma (administrator)

Last edited: 2015-06-28 02:08

View 2 revisions

replay? (uh, i guess you don't have one?!)

~0014736

abma (administrator)

also this is no crash, its an endless-loop.

~0014742

jamerlan (reporter)

yep, spring was frozen for everyone. I did kill -9 after sending infolog.. I guess replay was not written

~0014743

abma (administrator)

was it uploaded by autohost? or does it exist on autohost?

~0014745

jamerlan (reporter)

it was played on test server -> no uploading to replays website

~0014749

abma (administrator)

Last edited: 2015-06-28 16:58

View 3 revisions

does the replay exist locally?

not sure about the filename, should be
server-demos/20150628_*_DeltaSiegeDry_99.sdf

~0014750

jamerlan (reporter)

Infolog said demo was recorded here:
/home/revenant/.config/spring/demos/20150628_011543_DeltaSiegeDry_99.sdf

but this file is empty: ls -la /home/revenant/.config/spring/demos/20150628_011543_DeltaSiegeDry_99.sdf
-rw-r--r--. 1 revenant revenant 0 Jun 28 01:15 /home/revenant/.config/spring/demos/20150628_011543_DeltaSiegeDry_99.sdf

~0014751

abma (administrator)

sorry, with "local" i meant on the server.

~0014752

jamerlan (reporter)

I will try to find it :-) Asked gluon already

~0014756

jamerlan (reporter)

Thanks abma! I found that "server" demo. And issue is reproducible! at 30 min 23 second it freezes
https://www.dropbox.com/s/u5hwpxhk6hzihcn/20150627_235013_DeltaSiegeDry_99.sdf?dl=0

~0014761

abma (administrator)

great, thanks! should be fixeable now!

~0014763

abma (administrator)

aww, looks like mem-corruption:
http://paste.springfiles.com/view/raw/78e642d0

(maybe i did something wrong, but original stacktrace from infolog looks corrupted, too).

~0014764

abma (administrator)

i'm getting this lua error beforehands:

http://imolarpg.dyndns.org/trac/balatest/ticket/887



[f=0050300] Error: LuaRules::RunCallIn?: error = 2, UnitDestroyed?, [Internal Lua error: Call failure] [string "LuaRules/Gadgets?/unit_target_on_the_move.lu..."]:264: [SetUnitTarget?()]: unit tried to attack itself stack traceback:

    [C]: in function 'spSetUnitTarget' [string "LuaRules/Gadgets?/unit_target_on_the_move.lu..."]:264: in function 'removeUnit' [string "LuaRules/Gadgets?/unit_target_on_the_move.lu..."]:325: in function 'UnitDestroyed?' [string "LuaRules?/gadgets.lua"]:1257: in function <[string "LuaRules?/gadgets.lua"]:1254> (tail call): ?

~0014765

jamerlan (reporter)

abma, that error was reported to BA track already. I was shown in games which were finished successfully too. http://imolarpg.dyndns.org/trac/balatest/ticket/886
and it was fixed

~0014766

hokomoko (developer)

I've hit same assert as here: https://springrts.com/mantis/view.php?id=4851#c14737

This should be fixed here: https://github.com/spring/spring/commit/12dfee96136e1f3834b5a53ceb0b2e1b23e8bdaf

~0014768

jK (developer)

found the cause, will fix later

~0014771

jK (developer)

Fix 8e20554b27555d833603fd0766d3775b3735db21 committed to develop branch: fix 0004852: NaN issue, repo: spring changeset id: 5267
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2015-06-28 00:27 jamerlan New Issue
2015-06-28 00:27 jamerlan File Added: spring99_mass_crash.txt
2015-06-28 02:06 abma Note Added: 0014735
2015-06-28 02:07 abma Note Added: 0014736
2015-06-28 02:08 abma Note Edited: 0014735 View Revisions
2015-06-28 11:15 jamerlan Note Added: 0014742
2015-06-28 11:37 abma Note Added: 0014743
2015-06-28 12:02 jamerlan Note Added: 0014745
2015-06-28 16:57 abma Note Added: 0014749
2015-06-28 16:58 abma Note Edited: 0014749 View Revisions
2015-06-28 16:58 abma Note Edited: 0014749 View Revisions
2015-06-28 17:52 jamerlan Note Added: 0014750
2015-06-28 18:43 abma Note Added: 0014751
2015-06-28 19:23 jamerlan Note Added: 0014752
2015-06-28 21:07 jamerlan Note Added: 0014756
2015-06-29 02:59 abma File Added: 20150627_235013_DeltaSiegeDry_99.7z
2015-06-29 11:12 abma Note Added: 0014761
2015-06-29 11:58 abma Note Added: 0014763
2015-06-29 12:06 abma Note Added: 0014764
2015-06-29 12:30 jamerlan Note Added: 0014765
2015-06-29 13:37 hokomoko Note Added: 0014766
2015-06-29 13:38 hokomoko Changeset attached => spring develop 12dfee96
2015-06-29 13:48 hokomoko Assigned To => hokomoko
2015-06-29 13:48 hokomoko Status new => feedback
2015-06-29 14:33 jK Assigned To hokomoko => jK
2015-06-29 14:33 jK Status feedback => assigned
2015-06-29 14:34 jK Note Added: 0014768
2015-06-29 15:54 jK Changeset attached => spring develop 8e20554b
2015-06-29 15:54 jK Note Added: 0014771
2015-06-29 15:54 jK Status assigned => resolved
2015-06-29 15:54 jK Resolution open => fixed
2015-06-29 23:31 abma Target Version => 100.0
+Issue History